{
  "format_version": "1.10.0",
  "animation_controllers": {
    "controller.animation.silverlabs_nat.blobfish": {
      "initial_state": "init",
      "states": {
        "init": {
          "transitions": [
            {
              "normal_blobfish": "query.is_in_water && q.position(1) < 30"
            },
            {
              "land_blobfish": "q.position(1) > 30"
            }
          ]
        },
        "normal_blobfish": {
          "animations": [
            "blobfish.duration"
          ],
          "on_entry": [
            "@s silverlabs_nat:blobfish_normal"
          ],
          "transitions": [
            {
              "land_blobfish": "q.anim_time > 3.0 && q.position(1) > 30"
            }
          ]
        },
        "land_blobfish": {
          "animations": [
            "blobfish.duration"
          ],
          "on_entry": [
            "@s silverlabs_nat:blobfish_land"
          ],
          "transitions": [
            {
              "normal_blobfish": "q.anim_time > 3.0 && query.is_in_water && q.position(1) < 30"
            }
          ]
        }
      }
    }
  }
}
